<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>刀客建站系统   管理中心  - <%{$out.cat_type_name|escape:html}%> 分类 </title>
<%{include file="header.html"}%>
</head>
<body>
<h1>

<span class="action-span"><a href="index.php?act=category.addcategory&cat_type=<%{$smarty.get.cat_type}%>">添加  <%{$out.cat_type_name|escape:html}%> 分类</a></span>
<span class="action-span1"><a href="index.php?act=index.default">刀客建站系统   管理中心 </a>  - <%{$out.cat_type_name|escape:html}%> 分类</span>
<span style='float:right;margin-right:10px;'><img src='images/top_help.gif'><a href="http://sitepub.cn/help"> 帮助 </a></span>
<span style='float:right;margin-right:10px;'><img src='images/top_forum.gif'><a href="http://bbs.sitepub.cn"> 论坛 </a></span>
<div style="clear:both"></div>
</h1>
<form method="post" action="" name="listForm">
<!-- start ad position list -->
<div class="list-div" id="listDiv">

<%{if $out.cat_res}%>
<table width="100%"  id="list-table">
  <tr>

    <th> 分类名称</th>
    <th> <%{$out.cat_type_name}%> 数量</th>
    <th>是否显示</th>
    <th>排序</th>
    <th>操作</th>
  </tr>
  	<%{foreach from=$out.cat_res item=v key=k}%>
		 <tr align="center" style='background-color:#FFF;' onmouseover='this.style.backgroundColor="";' onmouseout='this.style.backgroundColor="#FFF";'>
		 <td align="left" class="first-cell" >
					<img src="images/menu_minus.gif" width="9" height="9" border="0" style="margin-left:0em" onclick='row_on_off(<%{$v.parent.cat_id}%>,this)'/>
					<span><a href="index.php?act=<%{if $smarty.get.cat_type=='article'}%>article<%{else}%>soft<%{/if}%>.dlist&cat_id=<%{$v.parent.cat_id}%>"><%{$v.parent.cat_name}%></a></span>

		 </td>
		 <td width="10%"><%{$v.parent.count}%></td>
		 <td width="10%"><img src="images/<%{if $v.parent.is_open}%>yes<%{else}%>no<%{/if}%>.gif" style='cursor:pointer' onclick="category_is_open(this,<%{$v.parent.cat_id}%>)" /></td>
		 <td width="10%" align="right"><span ><%{$v.parent.sort_order}%></span></td>

		 <td width="24%" align="center">
			<a href="index.php?act=category.move_cat&cat_id=<%{$v.parent.cat_id}%>&cat_type=<%{$smarty.get.cat_type}%>">转移<%{$out.cat_type_name|escape:html}%></a> |
			<a href="index.php?act=category.updatecategory&cat_id=<%{$v.parent.cat_id}%>&cat_type=<%{$smarty.get.cat_type}%>">编辑</a> |
			<a href="javascript:void(0);" onclick="if(window.confirm('确定删除该分类?')){cat_remove(<%{$v.parent.cat_id}%>,<%{$v.parent.count}%>,this);}" title="Delete">删除</a>
		 </td>
	  	</tr>
		 <%{foreach from=$v.children key=k_c item=v_c}%>	
			 <tr name="children_<%{$v.parent.cat_id}%>"  align="center" style='background-color:#FFF;' onmouseover='this.style.backgroundColor="";' onmouseout='this.style.backgroundColor="#FFF";'>
				 <td align="left" class="first-cell" >
					<img src="images/menu_minus.gif" width="9" height="9" border="0" style="margin-left:1em"  />
					<span><a href="index.php?act=soft.dlist&cat_id=<%{$v_c.cat_id}%>"><%{$v_c.cat_name}%></a></span>
				 </td>
				 <td width="10%"><%{$v_c.count}%></td>
		 		<td width="10%"><img src="images/<%{if $v_c.is_open}%>yes<%{else}%>no<%{/if}%>.gif" style='cursor:pointer' onclick="category_is_open(this,<%{$v_c.cat_id}%>)" /></td>
				 <td width="10%" align="right"><span ><%{$v_c.sort_order}%></span></td>
		 		 <td width="24%" align="center">
					<a href="index.php?act=category.move_cat&cat_id=<%{$v_c.cat_id}%>&cat_type=<%{$smarty.get.cat_type}%>">转移 <%{$out.cat_type_name|escape:html}%></a> |
					<a href="index.php?act=category.updatecategory&cat_id=<%{$v_c.cat_id}%>&cat_type=<%{$smarty.get.cat_type}%>">编辑 </a> |
					<a href="javascript:void(0);" onclick="if(window.confirm('Confirmation of deleting the category')){cat_remove(<%{$v_c.cat_id}%>,<%{$v_c.count}%>,this);}" title="Delete">删除</a>
				 </td>
	  		</tr>	
		 <%{/foreach}%>
	<%{/foreach}%> 
  </table>
 <%{else}%>
	<div align='center'> 没有分类显示 </div>
	<%{/if}%>
</div>
</form>
<script>
	function row_on_off(id,obj)
	{
		if(obj.src.match(/images\/menu_minus.gif/)){
			$("tr[name='children_"+id+"']").each(
					function(){$(this).hide();}
			);
			obj.src=	'images/menu_plus.gif';
		}else{
			$("tr[name='children_"+id+"']").each(
					function(){$(this).show();}
			);
			obj.src=	'images/menu_minus.gif';
		}
	}	
function cat_remove(cat_id,count,obj)
{
	if(count){
		alert('该分类下还有软件,不能删除');
		return false;
	}
	var y	=	false;
	$("tr[name='children_"+cat_id+"']").each(
					function(){
					y=true;return;}
	);
	if(y){
		alert('顶级分类只有在无子分类的情况下才能删除');
		return false;
	}
	$.ajax({
				url				:	'index.php?act=category.del_category_ajax&cat_id='+cat_id,	
				type				:	'GET',
				dataType			:	'json',
				success			:	function(json){
						if(json=='ok'){
							alert('删除分类成功');
							$(obj).parent().parent().remove();
						}	
				}	
		});

}
function category_is_open(obj,cat_id)
{
	if(obj.src.match('yes')){
		is_open=0;
	}else{
		is_open=1;
	}
	$.ajax({
			url			:	"index.php?act=category.handle_category_is_open&cat_id="+cat_id+"&is_open="+is_open,	
			type			:	'GET',
			'dataType'	:	'json',
			success		:	function(json){
				if(json=='ok'){
					if(is_open){
						obj.src='images/yes.gif';		
					}else{
						obj.src='images/no.gif';
					}
				}		
			}
	});
	
}


</script>


</body>
</html>

